% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GSAbstractStore.R
\docType{class}
\name{GSAbstractStore}
\alias{GSAbstractStore}
\title{Geoserver REST API Store}
\format{
\code{\link{R6Class}} object.
}
\value{
Object of \code{\link{R6Class}} for modelling a GeoServer store
}
\description{
Geoserver REST API Store

Geoserver REST API Store
}
\author{
Emmanuel Blondel <emmanuel.blondel1@gmail.com>
}
\keyword{api}
\keyword{geoserver}
\keyword{rest}
\keyword{store}
\section{Super class}{
\code{\link[geosapi:GSRESTResource]{geosapi::GSRESTResource}} -> \code{GSAbstractStore}
}
\section{Public fields}{
\if{html}{\out{<div class="r6-fields">}}
\describe{
\item{\code{full}}{whether store object is fully described}

\item{\code{name}}{store name}

\item{\code{enabled}}{if the store is enabled or not}

\item{\code{description}}{store description}

\item{\code{type}}{store type}

\item{\code{workspace}}{workspace name}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-GSAbstractStore-new}{\code{GSAbstractStore$new()}}
\item \href{#method-GSAbstractStore-decode}{\code{GSAbstractStore$decode()}}
\item \href{#method-GSAbstractStore-setType}{\code{GSAbstractStore$setType()}}
\item \href{#method-GSAbstractStore-setEnabled}{\code{GSAbstractStore$setEnabled()}}
\item \href{#method-GSAbstractStore-setDescription}{\code{GSAbstractStore$setDescription()}}
\item \href{#method-GSAbstractStore-clone}{\code{GSAbstractStore$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="geosapi" data-topic="GSRESTResource" data-id="encode"><a href='../../geosapi/html/GSRESTResource.html#method-GSRESTResource-encode'><code>geosapi::GSRESTResource$encode()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GSAbstractStore-new"></a>}}
\if{latex}{\out{\hypertarget{method-GSAbstractStore-new}{}}}
\subsection{Method \code{new()}}{
initializes an abstract store
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GSAbstractStore$new(
  xml = NULL,
  storeType,
  type = NULL,
  name = NULL,
  description = "",
  enabled = TRUE
)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{xml}}{an object of class \link{XMLInternalNode-class} to create object from XML}

\item{\code{storeType}}{store type}

\item{\code{type}}{the type of coverage store}

\item{\code{name}}{coverage store name}

\item{\code{description}}{coverage store description}

\item{\code{enabled}}{whether the store should be enabled or not. Default is \code{TRUE}}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GSAbstractStore-decode"></a>}}
\if{latex}{\out{\hypertarget{method-GSAbstractStore-decode}{}}}
\subsection{Method \code{decode()}}{
Decodes store from XML
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GSAbstractStore$decode(xml)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{xml}}{object of class \link{XMLInternalNode-class}}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GSAbstractStore-setType"></a>}}
\if{latex}{\out{\hypertarget{method-GSAbstractStore-setType}{}}}
\subsection{Method \code{setType()}}{
Set type
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GSAbstractStore$setType(type)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{type}}{type}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GSAbstractStore-setEnabled"></a>}}
\if{latex}{\out{\hypertarget{method-GSAbstractStore-setEnabled}{}}}
\subsection{Method \code{setEnabled()}}{
Set enabled
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GSAbstractStore$setEnabled(enabled)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{enabled}}{enabled}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GSAbstractStore-setDescription"></a>}}
\if{latex}{\out{\hypertarget{method-GSAbstractStore-setDescription}{}}}
\subsection{Method \code{setDescription()}}{
Set description
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GSAbstractStore$setDescription(description)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{description}}{description}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GSAbstractStore-clone"></a>}}
\if{latex}{\out{\hypertarget{method-GSAbstractStore-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GSAbstractStore$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
